Summary: The exmh mail handling system.
Name: exmh
Version: 2.2
Release: 8
Requires: mh, metamail
Copyright: freeware
Group: Applications/Internet
BuildArchitectures: noarch
Source0: ftp://ftp.scriptics.com/pub/tcl/exmh/exmh-%{version}.tar.gz
Source1: exmh.desktop
Url: http://www.beedub.com/exmh/
# The conf patch includes the version number, so it needs to be
# updated for every revision even if it applies without being
# updated.   Use the exmh.install script to make sure that we
# keep up with new paths that exmh wants to know about, and 
# make sure to change all the paths that need to be changed
# by comparing to the previous conf patch.
Patch0: exmh-%{version}-conf.patch
Patch1: exmh-2.0.2-smproxy.patch
Patch2: exmh-2.2-arraybug.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Exmh provides an X interface for MH/nmh mail, a feature-rich email
handling system.  Exmh supports almost all (but not all) of MH's
features: viewing the messages in a folder, reading/deleting/refiling
messages, and sorting arriving mail into different folders before the
messages are read. Exmh highlights which folders have new mail, and
indicates which messages have not been read (so you don't lose the
sorted, unread mail).

If you like MH/nmh mail, you should install exmh, because it makes the
MH/nmh mail system much more user-friendly.  You may also want to use
exmh if you prefer a graphical user interface for your mail client.
Note that you will also have to install the nmh package.

%prep
%setup -q
rename .MASTER "" *.MASTER
%patch0 -p1 -b .conf
%patch1 -p1 -b .smproxy
%patch2 -p1

%build
echo 'auto_mkindex ./lib *.tcl' | tclsh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/exmh-%{version}

for i in exmh exmh-bg exmh-async ftp.expect; do
	install -m755 $i $RPM_BUILD_ROOT/%{_bindir}
done
for i in *.l; do
	install -m644 $i $RPM_BUILD_ROOT%{_mandir}/man1/${i%%.l}.1
done

cp -ar lib/* $RPM_BUILD_ROOT/usr/lib/exmh-%{version}

cp %SOURCE1 $RPM_BUILD_ROOT/etc/X11/applnk/Internet/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT exmh.CHANGES exmh.README
%config /etc/X11/applnk/Internet/exmh.desktop
%{_bindir}/exmh
%{_bindir}/exmh-bg
%{_bindir}/exmh-async
%{_bindir}/ftp.expect
%{_libdir}/exmh-%{version}
%{_mandir}/man1/exmh.1*

%changelog
* Mon Aug  6 2000 Crutcher Dunnavant <crutcher@redhat.com>
- added swedish translations to the desktop file
- and took it out of the spec file

* Sat Aug  5 2000 Crutcher Dunnavant <crutcher@redhat.com>
- removed the aspell hack, as the aspell packages now
- emulates 'spell' and 'ispell'

* Sat Aug  5 2000 Crutcher Dunnavant <crutcher@redhat.com>
- changed some defaults to call aspell

* Sat Aug  5 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Fixed an array bug in the Inc_Init function

* Tue Jul 25 2000 Preston Brown <pbrown@redhat.com>
- wmconfig --> .desktop

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix bad configuration stuffs

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.2
- spec cleanups

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS changes

* Thu Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- another trip through the build system

* Fri Oct 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated the conf patch for proper pgp paths; updated several
  other paths at the same time.

* Wed Oct 27 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated to 2.1.1

* Wed Sep 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed -conf patch for 2.0.3

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- upgraded to 2.0.3

* Sat Apr 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- added smproxy patch from Owen Taylor

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Donnie Barnes <djb@redhat.com>
- updated to 2.0.2

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig support
